inkscape compile problem

~suv suv-sf at
Sun Mar 28 19:44:37 PDT 2010

On 29/3/10 04:16, Michael Parson wrote:
> Macports 1.8.2 clean install, fresh selfupdate, first thing I tried to
> install is inkscape, it goes off and compiles and installs a bunch of
> stuff, and failes when it gets to inkscape:

Compiling Inkscape 0.47 fails due to the upgrade of poppler to 0.12.4

corresponding upstream bug report:
Bug #487038 in Inkscape: “0.47 build error with poppler 0.12.2 on Linux”:

Untested: the patch attached to comment #4 of that report should be
added to the inkscape @0.47 port.

The patch is not needed when compiling Inkscape 0.47+devel from bzr
trunk >= r9231. The port 'inkscape-devel' however is outdated and
compiles an older revision (22457) from SVN than the released version
0.47 r22583 (port 'inkscape'). Inkscape has since moved its source
repositories to bazaar at <>.


More information about the macports-users mailing list